#include <QtGui/QApplication>
#include "debug.h"
#include "sichtsystemgui.h"

int main(int argc, char *argv[])
{
	// QApplication initialisieren
	QApplication a(argc, argv);
	a.connect( &a, SIGNAL( lastWindowClosed() ), &a, SLOT( quit() ) );

	// DEBUG-Handler installieren
	QTextEdit *debug = new QTextEdit;
	debug->hide();
	setDebugPointer( debug );
	qInstallMsgHandler( myMessageOutput );
	qDebug("MessageHandler installiert");
	QSettings settings("OSG-Visual", "Visual-GUI 1.0");
	debug->restoreGeometry(settings.value("debugwindow/geometry").toByteArray());

	//QTranslator translator;
	//qDebug() << "Translator loaded: " << translator.load( QString("chm3read_en") );
    //a.installTranslator( &translator );

	SichtsystemGUI w;
	w.setDebug( debug );
	return a.exec();
}
